# frozen_string_literal: true

require 'bundler/setup'
require 'rails'
require 'active_support'
require 'devise_slack_notifiable'
require 'simplecov'
require 'codecov'

RSpec.configure do |config|
  # Enable flags like --only-failures and --next-failure
  config.example_status_persistence_file_path = '.rspec_status'

  # Disable RSpec exposing methods globally on `Module` and `main`
  config.disable_monkey_patching!

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end

  config.before(:each) do
    # Reset and creat default configuration
    DeviseSlackNotifiable.configuration = nil
    DeviseSlackNotifiable.configure do |_|
      # Default configuration
    end
  end
end

SimpleCov.start
SimpleCov.formatter = SimpleCov::Formatter::Codecov
